Features not available in Linux version of Rational Rhapsody 8 releases

Product documentation


Abstract

Features listed in this document are not available in the Linux version of the IBM Rational Rhapsody version 8 releases.

Content

  • Android application development
  • Automatic Test Generation (ATG) add-on
  • Breakpoint synchronization is not supported in the Wind River VxWorks 6.9 and Wind River Workbench 3.3 integrations
  • C# application development
  • CORBA development
  • Configuration management SCC mode
  • Customizable code generation
  • Eclipse platform integration
  • Functional Mock-up Interface (FMI)
  • Generate support request
  • Helpers can be used, subject to the following limitations:
    • Helpers that are set up to be triggered by actions such as code generation will not work with RhapsodyCL on Linux.
    • When using Java helpers, the JRE used must be the one installed with Rational Rhapsody or a different IBM Java JRE. Also, the JRE cannot be within a ClearCase VOB.
    • Arguments cannot be passed to Java plugins.
  • Import from Rational Rose
  • Languages: Japanese, Korean, Simplified Chinese, Traditional Chinese
  • MathWorks Simulink integration limitations
    • Managed Mode for Simulink
    • Plant Modeling (exporting a structured block to Simulink for simulation)
  • Microsoft VBA
  • Microsoft Visual Studio integration
  • NATO Architecture Framework (NAF) version of Unified Profile for DoDAF/MODAF (UPDM)
  • Oracle Java 5, 6, 7 for plug-ins (JVM)
  • Parametric constraint evaluator
  • Rational Quality Management 3 and 4
  • Rational Rhapsody 64-bit application
  • Rational Team Concert integration
  • Safety Critical Development in C
  • Siemens Teamcenter integration
  • SMXF (Simplified/reduced MicroC Framework for C)
  • Split diagrams during export
  • SXF (Simplified eXecution Framework for Safety Critical developers)
  • Target monitoring
  • TestConductor add-on limitations:
    • Does not work with RhapsodyCL. As an alternative, you can use the command line of rhapsody.exe with command line option -hiddenui.
    • Integration with Rational Quality Manager 4.0 not supported
    • AUTOSAR SWCs not supported
    • VxWorks 653 platform not supported
  • Wizards that help create ProxyPorts
  • XMI Toolkit add-on for Rational Rhapsody is not compatible with RhapsodyCL


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Rhapsody
Documentation

Software version:

8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.5, 8.0.6

Operating system(s):

Linux

Reference #:

7020510

Modified date:

2014-02-28

Translate my page

Machine Translation

Content navigation